Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Gerd Möllmann <[email-masked]>
Date: Fri, 24 Jan 2025 21:00:23 +0100

Len Trigg <[email-masked]> writes:

> BTW, I triggered another segfault (this time I had two terminal clients and one gui client and was cycling focus between
> them):
>
> 0x00005555555bdf65 in is_in_matrix (y=48, x=2297, f=0x555556f60048) at dispnew.c:3893
> 3893      if (x < 0 || x >= root->current_matrix->matrix_w || y < 0
> (gdb) where
> #0  0x00005555555bdf65 in is_in_matrix (y=48, x=2297, f=0x555556f60048) at dispnew.c:3893
> #1  is_cursor_obscured () at dispnew.c:3913

Thanks for the report.

You either have a very wide display (x=...), or the selected frame at
this point is a GUI frame. I guess I can fix that over the weekend.